      SUBROUTINE AVER(Q,X,NI,NF,NOQ,DELT,NAV)   
C     THIS SUBROUTINE AVERAGES CONSECUTIVE CHANNELS IN ARRAY
C     Q     
C     
      DIMENSION Q(1),X(1)     
      DELT=DELT*NAV     
      INDEX=0     
      DO 50 I=1,NOQ,NAV 
      INDEX=INDEX+1     
      NAVI=NAV+I-1
      IF(NAVI.LE.NOQ) GO TO 30
      NAV=NAV-(NAVI-NOQ)
      NAVI=NOQ    
   30 V=0.0 
      DO 40 J=I,NAVI    
   40 V=V+Q(J+NI-1)     
      X(INDEX)=V/NAV    
   50 CONTINUE    
      NOQ=INDEX   
      RETURN
      END   
